using Elwig.Models;

namespace Elwig.Documents {
    public abstract class BusinessDocument : Document {

        public Member Member;
        public bool IncludeSender = false;

        public BusinessDocument(string title, Member m, bool includeSender = false) : base(title) {
            Member = m;
            IncludeSender = includeSender;
        }

        public string Address {
            get {
                var b = Member.BillingAddress;
                var plz = (b == null) ? Member.PostalDest.AtPlz : b.PostalDest.AtPlz;
                if (b != null) {
                    return $"{b.Name}\n{b.Address}\n{plz.Plz} {plz.Dest}";
                } else {
                    return $"{Member.AdministrativeName}\n{Member.Address}\n{plz.Plz} {plz.Dest}";
                }
            }
        }
    }
}
